#include <iocslib.h>
#include "defines.h"

int TXONOFF(int mode)
{
unint c;
	c=B_WPEEK((unsint *)0xe82600);
	if (mode>=0) {
		if (mode) { /* ON */
			c|=BIT5;
		} else { /* OFF */
			c&=(~BIT5);
		}
		B_WPOKE((unsint *)0xe82600,c);
	}
	return((c&BIT5)>0);
}
